v.external(1)

NAME
v.external - Create a new vector as a read-only link to OGR layer. Available drivers: ESRI Shapefile,UK .NTF,SDTS,TIGER,S57,MapInfo File,DGN,VRT,AVCBin,REC,Memory,CSV,GML

KEYWORDS
vector

SYNOPSIS
v.external
v.external help
v.external dsn=string [output=name] [layer=string] [--overwrite]

  Flags:

--overwrite

  Parameters:

dsn=string
    OGR datasource name. Examples:
        ESRI Shapefile: directory containing shapefiles    MapInfo File: directory containing mapinfo files

output=name
    Output vector, if not given, available layers are printed only

layer=string
    OGR layer name. If not given, available layers are printed only. Examples:
        ESRI Shapefile: shapefile name    MapInfo File: mapinfo file name

DESCRIPTION
v.external creates new vector as a link to external OGR layer (read only). OGR (Simple Features Library) is part of the GDAL library, so you need to install GDAL to use v.external and external OGR layers.

  Supported OGR Vector Formats
ESRI Shapefile
Mapinfo File

Further available drivers such as UK .NTF, SDTS, TIGER, IHO S-57 (ENC), DGN, GML, AVCBin, REC, Memory, OGDI, and PostgreSQL depend on the local installation (OGR library), for details see OGR web site.

EXAMPLES
SHAPE files
v.external dsn=/home/user/shape_data layer=test_shape output=grass_map

MapInfo files
v.external dsn=./ layer=mapinfo_test output=grass_map

SDTS files (you have to select the CATD file)
v.external dsn=CITXCATD.DDF output=cities

TIGER files
v.external dsn=input/2000/56015/ layer=CompleteChain,PIP output=t56015_all

PostGIS maps (area example)
v.external dsn="PG:host=localhost user=postgres dbname=postgis" layer=polymap \
output=polygons

NOTES
The simple feature data model used by OGR is very different from the topological format used by GRASS. Instead of true topology, so called 'pseudo topology' is created for data linked by v.external. User should learn the difference between those to formats, because some modules working correctly with GRASS native data, can produce wrong results with input layers created by v.external.

See v.db.connect for an example of maintaining attributes in external DBMS in also writeable mode.

REFERENCES
OGR vector library
OGR vector library C API documentation

SEE ALSO
v.clean, v.db.connect, v.in.db, v.in.ogr, v.out.ogr

AUTHOR
Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2006/03/21 18:22:37 $

Full index